<?php

namespace App\Admin\Controllers;

use App\Admin\Repositories\LawyerCollect;
use App\Models\Covenant as ModelsCovenant;
use App\Models\Lawyer as ModelLawyer;
use Dcat\Admin\Form;
use Dcat\Admin\Grid;
use Dcat\Admin\Show;
use Dcat\Admin\Http\Controllers\AdminController;
use App\Admin\Actions\CovenantReceive;
use App\Admin\Actions\CovenantInvoice;

class LawyerCollectController extends AdminController
{
    /**
     * Make a grid builder.
     *
     * @return Grid
     */
    protected function grid()
    {
        return Grid::make(new LawyerCollect(), function (Grid $grid) {
            //$grid->column('id')->sortable();
            $grid->column('lnumber', '律师编号');
            $grid->column('lname', '律师名称');
            $grid->column('commission_ratio', '提成比例 %');
            $grid->column('receipt_money', '创收已收款');
            $grid->column('commission_amount', '提成金额');
            $grid->column('receipt_noinvoice', '已收款未开票');
            $grid->column('invoice_noreceipt', '已开票未收款');
            $grid->column('cost', '成本合计');
            $grid->column('basic_salary', '基本工资');
            $grid->column('special_additional', '专项附加');
            $grid->column('social', '社保');
            $grid->column('accumulation_fund', '公积金');
            $grid->column('posting_tickets_fee', '贴票金额');
            $grid->column('advance_fee', '预支款');
            $grid->column('payable_commission', '可结算提成');

            // $grid->column('created_at');
            // $grid->column('updated_at')->sortable();

            $grid->disableCreateButton();
            $grid->disableViewButton();
            $grid->disableRowSelector();
            $grid->disableActions();

            $grid->filter(function (Grid\Filter $filter) {
                // 更改为 panel 布局
                $filter->panel();
                $filter->like('number', '律师编号')->width(3);
                $filter->like('name', '律师姓名')->width(3);
                $filter->between('received_at', '收款日期')->date()->width(4);
                $filter->between('invoiced_at', '开票日期')->date()->width(4);
            });
        });
    }
}
