<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;

use Illuminate\Database\Eloquent\Model;

class CovenantReceivePayment extends Model
{
    use HasDateTimeFormatter;
    protected $table = 'covenant_receive_payment';

    //账户类型
    public const RECEIVEDTYPE = [
        1 => '基本户',
        2 => '其它',
    ];


    //已收款未开票
    public static function getReceiptNoinvoice($lawyer_id = 0)
    {
        $where = [];
        if ($lawyer_id) {
            $where['lawyer_id'] = $lawyer_id;
        }
        //开票金额
        $invoiced_money = self::where(['rtype' => 2])->where($where)
            ->sum('invoiced_money');
        //已收款
        $receipt_money = self::where(['rtype' => 1])->where($where)
            ->sum('received_amount');
        //已收款未开票
        $receipt_noinvoice = ($receipt_money - $invoiced_money) > 0 ? $receipt_money - $invoiced_money : 0;
        return $receipt_noinvoice;
    }

    //已开票未收款
    public static function getInvoiceNoreceipt($lawyer_id = 0)
    {
        $where = [];
        if ($lawyer_id) {
            $where['lawyer_id'] = $lawyer_id;
        }
        //开票金额
        $invoiced_money = self::where(['lawyer_id' =>  $lawyer_id, 'rtype' => 2])->where($where)
            ->sum('invoiced_money');
        //已收款
        $receipt_money = self::where(['lawyer_id' => $lawyer_id, 'rtype' => 1])->where($where)
            ->sum('received_amount');

        $invoice_noreceipt = ($invoiced_money - $receipt_money) > 0 ? $invoiced_money - $receipt_money  : 0;
        return $invoice_noreceipt;
    }

    //创收已收款
    public static function getReceivedMoney($lawyer_id = 0, $year = 0)
    {
        $where = ['rtype' => 1];
        if ($lawyer_id) {
            $where['lawyer_id'] = $lawyer_id;
        }
        if ($year) {
            $where['year'] = $year;
        }
        $money = self::where($where)
            ->sum('received_amount');
        return $money;
    }

    //开票金额
    public static function getInvoicedMoney($lawyer_id = 0, $year = 0)
    {
        $where = ['rtype' => 2];
        if ($lawyer_id) {
            $where['lawyer_id'] = $lawyer_id;
        }
        if ($year) {
            $where['year'] = $year;
        }
        $money = self::where($where)
            ->sum('invoiced_money');
        return $money;
    }
}
